Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents.objects
Class PaintPath

    java.lang.Object
      org.pdfclown.documents.contents.objects.ContentObject
          org.pdfclown.documents.contents.objects.Operation
              org.pdfclown.documents.contents.objects.PaintPath

    @PDF(value=PDF10)
    public final class PaintPath

extends Operation

Path-painting operation [PDF:1.6:4.4.2].

Since:
  0.0.7
Version:
  0.1.1, 11/01/11
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Field Summary
`static PaintPath` | `CloseFillStroke` 'Close, fill, and then stroke the path, using the nonzero winding number rule to determine the region to fill' operation.
`static PaintPath` | `CloseFillStrokeEvenOdd` 'Close, fill, and then stroke the path, using the even-odd rule to determine the region to fill' operation.
`static String` | `CloseFillStrokeEvenOddOperator`
`static String` | `CloseFillStrokeOperator`
`static PaintPath` | `CloseStroke` 'Close and stroke the path' operation.
`static String` | `CloseStrokeOperator`
`static PaintPath` | `EndPathNoOp` 'End the path object without filling or stroking it' operation.
`static String` | `EndPathNoOpOperator`
`static PaintPath` | `Fill` 'Fill the path, using the nonzero winding number rule to determine the region to fill' operation.
`static PaintPath` | `FillEvenOdd` 'Fill the path, using the even-odd rule to determine the region to fill' operation.
`static String` | `FillEvenOddOperator`
`static String` | `FillObsoleteOperator`
`static String` | `FillOperator`
`static PaintPath` | `FillStroke` 'Fill and then stroke the path, using the nonzero winding number rule to determine the region to fill' operation.
`static PaintPath` | `FillStrokeEvenOdd` 'Fill and then stroke the path, using the even-odd rule to determine the region to fill' operation.
`static String` | `FillStrokeEvenOddOperator`
`static String` | `FillStrokeOperator`
`static PaintPath` | `Stroke` 'Stroke the path' operation.
`static String` | `StrokeOperator`

Fields inherited from class org.pdfclown.documents.contents.objects.Operation
`operands, operator`

Method Summary
`WindModeEnum` | `getFillMode()` Gets the filling rule.
`boolean` | `isClosed()` Gets whether the current path has to be closed.
`boolean` | `isFilled()` Gets whether the current path has to be filled.
`boolean` | `isStroked()` Gets whether the current path has to be stroked.
`void` | `scan(ContentScanner.GraphicsState state)` Applies this object to the specified graphics context, updating the specified graphics state.

Methods inherited from class org.pdfclown.documents.contents.objects.Operation
`get, getOperands, getOperator, toString, writeTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CloseFillStrokeEvenOddOperator

    public static final String CloseFillStrokeEvenOddOperator

See Also:
  Constant Field Values

### CloseFillStrokeOperator

    public static final String CloseFillStrokeOperator

See Also:
  Constant Field Values

### CloseStrokeOperator

    public static final String CloseStrokeOperator

See Also:
  Constant Field Values

### EndPathNoOpOperator

    public static final String EndPathNoOpOperator

See Also:
  Constant Field Values

### FillEvenOddOperator

    public static final String FillEvenOddOperator

See Also:
  Constant Field Values

### FillObsoleteOperator

    public static final String FillObsoleteOperator

See Also:
  Constant Field Values

### FillOperator

    public static final String FillOperator

See Also:
  Constant Field Values

### FillStrokeEvenOddOperator

    public static final String FillStrokeEvenOddOperator

See Also:
  Constant Field Values

### FillStrokeOperator

    public static final String FillStrokeOperator

See Also:
  Constant Field Values

### StrokeOperator

    public static final String StrokeOperator

See Also:
  Constant Field Values

### CloseFillStroke

    public static final PaintPath CloseFillStroke

  'Close, fill, and then stroke the path, using the nonzero winding number rule to determine the region to fill' operation.

### CloseFillStrokeEvenOdd

    public static final PaintPath CloseFillStrokeEvenOdd

  'Close, fill, and then stroke the path, using the even-odd rule to determine the region to fill' operation.

### CloseStroke

    public static final PaintPath CloseStroke

  'Close and stroke the path' operation.

### EndPathNoOp

    public static final PaintPath EndPathNoOp

  'End the path object without filling or stroking it' operation.

### Fill

    public static final PaintPath Fill

  'Fill the path, using the nonzero winding number rule to determine the region to fill' operation.

### FillEvenOdd

    public static final PaintPath FillEvenOdd

  'Fill the path, using the even-odd rule to determine the region to fill' operation.

### FillStroke

    public static final PaintPath FillStroke

  'Fill and then stroke the path, using the nonzero winding number rule to determine the region to fill' operation.

### FillStrokeEvenOdd

    public static final PaintPath FillStrokeEvenOdd

  'Fill and then stroke the path, using the even-odd rule to determine the region to fill' operation.

### Stroke

    public static final PaintPath Stroke

  'Stroke the path' operation.

Method Detail

### getFillMode

    public WindModeEnum getFillMode()

  Gets the filling rule.

### isClosed

    public boolean isClosed()

  Gets whether the current path has to be closed.

### isFilled

    public boolean isFilled()

  Gets whether the current path has to be filled.

### isStroked

    public boolean isStroked()

  Gets whether the current path has to be stroked.

### scan

    public void scan(ContentScanner.GraphicsState state)

  Description copied from class: `ContentObject`
  Applies this object to the specified graphics context, updating the specified graphics state.

  Overrides:
    `scan` in class `ContentObject`
  Parameters:
    `state` - Graphics state.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.